/*
 * Class UNBOUNDED [POINTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_553 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_553 [] = {0xFF01,237,552,215,0xFFFF};
static const EIF_TYPE_INDEX egt_2_553 [] = {0xFF01,552,215,0xFFFF};
static const EIF_TYPE_INDEX egt_3_553 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_553 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_553 [] = {0xFF01,552,215,0xFFFF};
static const EIF_TYPE_INDEX egt_6_553 [] = {0xFF01,552,215,0xFFFF};
static const EIF_TYPE_INDEX egt_7_553 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_553 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_553 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_553 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_553 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_553 [] = {552,215,0xFFFF};
static const EIF_TYPE_INDEX egt_13_553 [] = {0xFF01,552,215,0xFFFF};
static const EIF_TYPE_INDEX egt_14_553 [] = {0xFF01,535,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_553 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_553[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_553), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_553), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_553), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_553), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_553), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_553), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_553), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_553), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_553), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_553), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_553), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_553), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_553), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_553), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2033, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1886, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1887, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1888, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1889, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_553), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_553), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
};
void Init553(void)
{
	IDSC(desc_553, 0, 552);
	IDSC(desc_553 + 1, 1, 552);
	IDSC(desc_553 + 32, 77, 552);
	IDSC(desc_553 + 41, 50, 552);
	IDSC(desc_553 + 42, 35, 552);
}


#ifdef __cplusplus
}
#endif
